Subject: Re: bug#22522: Commit b88e9cded7ae3756e3a2ec4a23e8df352a0239f9 breaks emacs dumping for me

From: Paul Eggert <[email-masked]>
Date: Tue, 2 Feb 2016 14:54:00 -0800

On 02/02/2016 02:08 PM, Ken Brown wrote:
> Paul, I can ask on the Cygwin list whether this should be changed to 
> be more in line with other platforms.

Yes it should.  Defining _GNU_SOURCE should make aligned_alloc visible 
regardless of whether -std=c99 is specified. This is because defining 
_GNU_SOURCE means, "Make GNU symbols visible even when compiling 
pedantically." This is OK, since the C standard says the behavior is 
undefined whenever the user defines a reserved symbol like _GNU_SOURCE.

> In the meantime, what's the best way to deal with this?

I installed the attached patch into the Emacs master, to try to work 
around this problem by putting GCC into C11 mode. Please give it a try.